Bug 19628 - Move course reserves templates JS to the footer
Summary: Move course reserves templates JS to the footer
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 17858
  Show dependency treegraph
 
Reported: 2017-11-15 16:03 UTC by Owen Leonard
Modified: 2017-12-14 17:52 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19628: Move course reserves templates JS to the footer (10.99 KB, patch)
2017-11-15 16:10 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19628: Move course reserves templates JS to the footer (11.05 KB, patch)
2017-11-22 10:24 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 19628: Move course reserves templates JS to the footer (11.10 KB, patch)
2017-12-07 08:06 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-11-15 16:03:43 UTC
In order to conform to best practices for performance, staff client template JavaScript should be in the footer instead of the header.

This patch will do so for the course reserves templates.
Comment 1 Owen Leonard 2017-11-15 16:10:56 UTC Comment hidden (obsolete)
Comment 2 Claire Gravely 2017-11-22 10:24:58 UTC
Created attachment 69270 [details] [review]
Bug 19628: Move course reserves templates JS to the footer

This patch modifies the staff client course reserves templates so that
JavaScript is included in the footer instead of the header.

To test, apply the patch and test the JavaScript-driven features of
each page: All button controls, DataTables, autocomplete, etc.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Josef Moravec 2017-12-07 08:06:21 UTC
Created attachment 69595 [details] [review]
Bug 19628: Move course reserves templates JS to the footer

This patch modifies the staff client course reserves templates so that
JavaScript is included in the footer instead of the header.

To test, apply the patch and test the JavaScript-driven features of
each page: All button controls, DataTables, autocomplete, etc.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Jonathan Druart 2017-12-11 14:36:18 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 5 Nick Clemens 2017-12-14 17:52:00 UTC
Awesome work all! Skipping for 17.11, enhancement